> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Info

> This endpoint retrieves contract information about a token on a GM chain.

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/chains/{chainId}/tokens/{tokenAddress}/info
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/chains/{chainId}/tokens/{tokenAddress}/info:
    get:
      tags:
        - Chains
      summary: Get Token Info
      description: >
        This endpoint retrieves contract information about a token on a GM
        chain.


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getTokenInfo
      parameters:
        - name: chainId
          in: path
          description: The chain's identifier including the chain name and chain id.
          required: true
          schema:
            $ref: '#/components/schemas/GMChains'
        - name: tokenAddress
          in: path
          description: The token contract address
          example: '0x14c3abF95Cb9C93a8b82C1CdCB76D72Cb87b2d4c'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenInfoResponse'
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: One of the request parameters is invalid.
                    documentation: https://docs.ondo.finance/api-reference/error-codes
                    code: INVALID_SYMBOL
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    GMChains:
      type: string
      description: The chain's identifier including the chain name and chain id.
      enum:
        - ethereum-1
        - bsc-56
        - solana-900
    GetTokenInfoResponse:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/ChainTokenInfo'
      required:
        - token
      example:
        token:
          tokenAddress: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
          tokenName: Apple (Ondo Tokenized)
          tokenSymbol: AAPLon
          tokenDecimals: 18
          tokenSupply:
            value: '72.428346190773568025'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    ChainTokenInfo:
      type: object
      properties:
        tokenAddress:
          type: string
          description: The address of the token contract.
        tokenName:
          type: string
          description: The name of the token.
        tokenSymbol:
          type: string
          description: The symbol of the token.
        tokenDecimals:
          type: integer
          description: The number of decimal places the token can be divided into.
        tokenSupply:
          $ref: '#/components/schemas/ChainTokenSupply'
      required:
        - tokenAddress
        - tokenName
        - tokenSymbol
        - tokenDecimals
        - tokenSupply
    ChainTokenSupply:
      type: object
      properties:
        value:
          type: string
          description: >-
            The total supply of the token, represented as a string with 18
            decimal places.
      required:
        - value
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````